Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.params
Class StatConditionParams

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.params.StatConditionParams

    public class StatConditionParams

extends Object

Regroups the parameters for a condition on statistics collected during some time intervals. The a

     <?xml version="1.0" encoding="UTF-8"?><tt xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">measure</tt>

attribute indicates the name of a type of performance measure on which the condition applies. The condition checks statistics of the appropriate type during a certain number of intervals given by the

     <?xml version="1.0" encoding="UTF-8"?><tt xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">numCheckedPeriods</tt>

attribute. The length of the intervals is set up using the

     <?xml version="1.0" encoding="UTF-8"?><tt xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">checkedPeriodDuration</tt>

attribute. Each statistics has an index whose meaning depends on the type of performance measure. For example, if service level is selected by setting

     <?xml version="1.0" encoding="UTF-8"?><tt xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">measure</tt>

to

     <?xml version="1.0" encoding="UTF-8"?><tt xmlns="http://www.w3.org/1999/xhtml" xmlns:cc="http://www.iro.umontreal.ca/lecuyer/contactcenters" xmlns:ccapp="http://www.iro.umontreal.ca/lecuyer/contactcenters/app" xmlns:ccmsk="http://www.iro.umontreal.ca/lecuyer/contactcenters/msk" xmlns:jxb="http://java.sun.com/xml/ns/jaxb" xmlns:ssj="http://www.iro.umontreal.ca/lecuyer/ssj" xmlns:xsd="http://www.w3.org/2001/XMLSchema">SERVICELEVEL,</tt>

the index corresponds to a call type. The conditions on the collected statistics are given using elements. For the overall condition to to true, each condition set up by child elements must apply.

Java class for StatConditionParams complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="StatConditionParams">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <choice maxOccurs="unbounded">
               <element name="statWithThresh" type="{http://www.iro.umontreal.ca/lecuyer/contactcenters/msk}IndexThreshParams"/>
               <element name="statWithStat" type="{http://www.iro.umontreal.ca/lecuyer/contactcenters/msk}TwoIndicesParams"/>
             </choice>
           </sequence>
           <attribute name="measure" use="required" type="{http://www.w3.org/2001/XMLSchema}string" />
           <attribute name="numCheckedPeriods" use="required" type="{http://www.iro.umontreal.ca/lecuyer/ssj}positiveInt" />
           <attribute name="checkedPeriodDuration" use="required" type="{http://www.iro.umontreal.ca/lecuyer/ssj}positiveDuration" />
         </restriction>
       </complexContent>
     </complexType>

Field Summary
`protected Duration` | `checkedPeriodDuration`
`protected String` | `measure`
`protected int` | `numCheckedPeriods`
`protected List<Object>` | `statWithThreshOrStatWithStat`

Constructor Summary
`StatConditionParams()`

Method Summary
`Duration` | `getCheckedPeriodDuration()` Gets the value of the checkedPeriodDuration property.
`String` | `getMeasure()` Gets the value of the measure property.
`int` | `getNumCheckedPeriods()` Gets the value of the numCheckedPeriods property.
`List<Object>` | `getStatWithThreshOrStatWithStat()` Gets the value of the statWithThreshOrStatWithStat property.
`boolean` | `isSetCheckedPeriodDuration()`
`boolean` | `isSetMeasure()`
`boolean` | `isSetNumCheckedPeriods()`
`boolean` | `isSetStatWithThreshOrStatWithStat()`
`void` | `setCheckedPeriodDuration(Duration value)` Sets the value of the checkedPeriodDuration property.
`void` | `setMeasure(String value)` Sets the value of the measure property.
`void` | `setNumCheckedPeriods(int value)` Sets the value of the numCheckedPeriods property.
`void` | `unsetStatWithThreshOrStatWithStat()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### statWithThreshOrStatWithStat

    protected List<Object> statWithThreshOrStatWithStat

### measure

    protected String measure

### numCheckedPeriods

    protected int numCheckedPeriods

### checkedPeriodDuration

    protected Duration checkedPeriodDuration

Constructor Detail

### StatConditionParams

    public StatConditionParams()

Method Detail

### getStatWithThreshOrStatWithStat

    public List<Object> getStatWithThreshOrStatWithStat()

  Gets the value of the statWithThreshOrStatWithStat property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the statWithThreshOrStatWithStat property.

  For example, to add a new item, do as follows:

          getStatWithThreshOrStatWithStat().add(newItem);

  Objects of the following type(s) are allowed in the list `TwoIndicesParams` `IndexThreshParams`

### isSetStatWithThreshOrStatWithStat

    public boolean isSetStatWithThreshOrStatWithStat()

### unsetStatWithThreshOrStatWithStat

    public void unsetStatWithThreshOrStatWithStat()

### getMeasure

    public String getMeasure()

  Gets the value of the measure property.

  Returns:
    possible object is `String`

### setMeasure

    public void setMeasure(String value)

  Sets the value of the measure property.

  Parameters:
    `value` - allowed object is `String`

### isSetMeasure

    public boolean isSetMeasure()

### getNumCheckedPeriods

    public int getNumCheckedPeriods()

  Gets the value of the numCheckedPeriods property.

### setNumCheckedPeriods

    public void setNumCheckedPeriods(int value)

  Sets the value of the numCheckedPeriods property.

### isSetNumCheckedPeriods

    public boolean isSetNumCheckedPeriods()

### getCheckedPeriodDuration

    public Duration getCheckedPeriodDuration()

  Gets the value of the checkedPeriodDuration property.

  Returns:
    possible object is `Duration`

### setCheckedPeriodDuration

    public void setCheckedPeriodDuration(Duration value)

  Sets the value of the checkedPeriodDuration property.

  Parameters:
    `value` - allowed object is `Duration`

### isSetCheckedPeriodDuration

    public boolean isSetCheckedPeriodDuration()

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.